/* Default */
html {
  position: relative;
  min-height: 100%;
}

body {
  font-family: 'Open Sans', sans-serif;
  font-size: 16px;
}

.navbar-brand {
  padding: 20px;
  vertical-align: baseline;;
}

.navbar-brand-img {
  padding: 0px;
}
@media screen and (max-width: 768px) {
  a.navbar-brand-img > img {
    vertical-align: bottom;
    padding: 1em 0 0 15px;
    max-width: 80%;
    margin: 0;
  }
}

a.navbar-brand-img > img {
  vertical-align: bottom;
}

img {
  display: block;
  max-width: 100%;
  height: auto;
}

p {
  margin-bottom: 15px;
  font-size: 18px;
}

/* Peertube */

/* *
 * Orange : #F1680D;
 * Noir : #211F20;
 * Gris : #737373;
 * Blanc : #fff;
 * */

main img {
  max-width: 100%;
  height: auto;
}

main .intro .col-md-6 {
  margin: 40px auto;
}

#app p:last-child {
  margin: 0;
}

/* Sections background */
body {
  background: #211F20 url('../img/network.png') bottom center repeat-y;

  .container {
    background: #fff;
    margin-top: 30px;
    margin-bottom: 30px;
    padding-top: 20px;
    padding-bottom: 20px;
    -webkit-box-shadow: 0px 3px 4px rgba(50, 50, 50, 0.2);
    -moz-box-shadow: 0px 3px 4px rgba(50, 50, 50, 0.2);
    box-shadow: 0px 3px 4px rgba(50, 50, 50, 0.2);
  }

  .medias .container {
    background: transparent;
  }
}

.intro, .faq, .hof {
  background: transparent;
  margin-top: -70px;
}

.medias {
  background-image: url('../img/player-peertube-flou.jpg');
  background-size: cover;
  padding-top: 30px;
  padding-bottom: 50px;
  text-shadow: 0 0 5px rgba(0, 0, 0, 0.5);
  color: #fff;
  min-height: 400px;
}

.install {
  background: #737373 url('../img/network-o.png') top center;
  background-image: url('../img/player-peertube-flou.jpg');
  background-size: cover;
}

.getting-started {
  background: #F1680D url('../img/network-o.png') center center;
}

.why {
  background: #F1680D url('../img/network.png') center center;
}

.how-it-works {
  background: #737373 url('../img/network-o.png') center center;
}

/* Navbar */
#main-header #navbar .btn-group {
  margin-top: 8px;
}

.navbar {
  background: transparent;
  border: none;
  z-index: 2;

 .container {

    background: #f7f7f7;
    padding-right: 15px;
    padding-top: 0;
    padding-bottom: 0;
    margin-bottom: 0;
    -webkit-box-shadow: 0px -1px 4px rgba(50, 50, 50, 0.2);
    -moz-box-shadow: 0px -1px 4px rgba(50, 50, 50, 0.2);
    box-shadow: 0px -1px 4px rgba(50, 50, 50, 0.2);
  }
}
/* Why */
.why {
  .col-sm-4 {
    text-align: center;
    padding: 30px;
    font-size: 1.5em;
    color: #F1680D;
    opacity: 0.7;
  }

  .col-sm-push-4 p,
  .col-sm-push-4 h3 {
    text-align: right;
  }
}
/* Medias */
.medias li {
  list-style: none;
  display: inline-block;
  vertical-align: middle;
  padding: 5px 10px;
}

/* Buttons */
.intro a[href^="#"],
.install a[href="https://github.com/Chocobozzz/PeerTube/#production"],
.how-it-works a[href^="#"],
.how-it-works a[href*="/faq"],
.intro a.frama_campaign,
.faq .col-sm-12 > p a[href="https://framacolibri.org/c/qualite/peertube"],
.getting-started .col-sm-12 > p a[href*="framatube.org"],
.button {
  margin-top: 20px;
  margin-bottom: 20px;
  font-weight: 500;
  padding: 10px 16px;
  font-size: 18px;
  line-height: 1.3333333;
  border-radius: 6px;
  opacity: 0.8;
  text-decoration: none;
  display: inline-block;
}

.intro a[href^="#"]:hover,
.install a:hover,
.how-it-works a[href^="#"]:hover,
.intro a.frama_campaign:hover,
.button {
  opacity: 1;
}

.intro a[href="#getting-started"],
.intro a.frama_campaign,
.how-it-works a[href="#getting-started"] {
  margin-right: 4px;
  color: #fff;
  background: #F1680D;
}

.intro a[href="#how-it-works"],
.intro a.frama_campaign,
.install a[href="https://github.com/Chocobozzz/PeerTube/#production"],
.how-it-works a[href*="/faq"],
.faq .col-sm-12 > p a[href="https://framacolibri.org/c/qualite/peertube"],
.getting-started .col-sm-12 > p a[href*="framatube.org"],
.button {
  margin-right: auto;
  color: #F1680D;
  background: #fff;
  border: 1px solid #F1680D;
}

.getting-started h2,
a.button {
  color: #F1680D;
}

#instances-list {
  max-height: 600px;
  overflow-y: auto;

  .list-group-item {
    height: 70px;
    display: flex;
    flex-direction: row;
    justify-content: center;

    .left-div {
      display: flex;
      flex-direction: column;
      justify-content: center;
      width: calc(100% - 160px); /* 100% - .right-div width */
    }

    .right-div {
      display: flex;
      flex-direction: column;
      justify-content: center;
      width: 160px;

      li {
        font-size: 0.8em;
        font-weight: bold;
      }
    }

    .list-group-item-heading {
      margin-bottom: 0;
    }

    .instance-host {
      display: inline-block;
      margin-left: 5px;
    }

    .list-group-item-text {
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
      margin-top: 5px;
      margin-right: 20px;
      font-size: 0.8em;
    }
  }
}

.footer {
  margin: 0;
  padding: 5px 0;
  background-color: #211F20;
  color: #fff;

  p {
    text-align: center;
    font-size: small;
  }
}

.faq h2 {
  margin: 40px 0px;
}

.thumbnail img {
  margin:0;
}

/* Hall of Fame */
#hall-of-fame .hof {
  ul { /* = .list-inline.well */
    margin-left: -5px;
    list-style: none;
    padding: 19px;
    margin-bottom: 20px;
    background-color: #f5f5f5;
    border: 1px solid #e3e3e3;
    border-radius: 4px;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .05);
            box-shadow: inset 0 1px 1px rgba(0, 0, 0, .05);
  }

  ul > li {
    display: inline-block;
    padding-right: 5px;
    padding-left: 5px;
  }

  li:nth-of-type(n+2):before {
      content: "▶";
      margin-right: 12px;
      color: #F1680D;
  }

  li:nth-of-type(2n+2):before {
    color: #211F20;
  }

  li:nth-of-type(3n+2):before {
    color: #737373;
  }
}

/* KKBB */
.intro .embed-responsive + p {
  margin-bottom:0;
  margin-top: 20px;
}

.intro .col-md-push-6 {
  .button {
    margin-bottom:10px;
  }

  img {
    display: inline-block;
  }
}

.release {
  a {
    color: #F1680D;
  }

  a.frama_campaign {
    margin-right: 7px;
  }
}

@media (min-width: 1200px) {
  [lang="fr"] .intro .col-md-pull-6 a {
    margin-top: 36px;
  }
}
@media (max-width: 1200px) {
  [lang="fr"] .intro .col-md-pull-6 a {
    margin-top: -10px;
  }
}

@media (min-width: 992px) {
  [lang="en"] .intro .col-md-pull-6 a {
    margin-top: 39px;
  }
}
@media (min-width: 1200px) {
  [lang="en"] .intro .col-md-pull-6 a {
    margin-top: 11px;
  }
}
